edu.northwestern.at.utils.math

## Class Constants

- java.lang.Object
- - edu.northwestern.at.utils.math.Constants

-     public class Constants
      extends java.lang.Object

  Machine-dependent arithmetic constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `LN10`
    `static double` | `LN10INV`
    `static double` | `LN2`
    `static double` | `LN2INV`
    `static double` | `LNPI` Natural log of PI.
    `static double` | `LNSQRT2PI`
    `static double` | `MACHEPS` Machine epsilon.
    `static double` | `MAXLOG` Maximum logarithm value.
    `static int` | `MAXPREC`
    `static double` | `MINLOG` Minimum logarithm value.
    `static double` | `SQRT2` Square root of 2.
    `static double` | `SQRT2DIV2` ( Square root of 2 ) / 2 .
    `static double` | `SQRTPI` Square root of PI.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Constants()` This class is non-instantiable but inheritable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `determineMachineEpsilon()` Determine machine epsilon.
    `static int` | `determineMaximumPrecision()` Determine maximum double floating point precision.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MACHEPS

          public static final double MACHEPS

      Machine epsilon. Smallest double floating point number such that (1 + MACHEPS) > 1 .

    - #### MAXPREC

          public static final int MAXPREC

    - #### MAXLOG

          public static final double MAXLOG

      Maximum logarithm value.
      See Also:
        Constant Field Values

    - #### MINLOG

          public static final double MINLOG

      Minimum logarithm value.
      See Also:
        Constant Field Values

    - #### SQRT2

          public static final double SQRT2

      Square root of 2.

    - #### SQRT2DIV2

          public static final double SQRT2DIV2

      ( Square root of 2 ) / 2 .

    - #### SQRTPI

          public static final double SQRTPI

      Square root of PI.

    - #### LNPI

          public static final double LNPI

      Natural log of PI.

    - #### LN10

          public static final double LN10

    - #### LN10INV

          public static final double LN10INV

      See Also:
        Constant Field Values

    - #### LN2

          public static final double LN2

    - #### LN2INV

          public static final double LN2INV

    - #### LNSQRT2PI

          public static final double LNSQRT2PI

  - ### Constructor Detail

    - #### Constants

          protected Constants()

      This class is non-instantiable but inheritable.

  - ### Method Detail

    - #### determineMachineEpsilon

          public static double determineMachineEpsilon()

      Determine machine epsilon.
      Returns:
        The machine epsilon as a double. The machine epsilon MACHEPS is the smallest number such that (1 + MACHEPS) == 1 .

    - #### determineMaximumPrecision

          public static int determineMaximumPrecision()

      Determine maximum double floating point precision.
      Returns:
        Maximum number of digits of precision for double precision floating point.